﻿#pragma strict

var damage:int = 1;
//this script only controls the life of the bullet. we make it disappear after 1 second. You don't want stray bullets floating around forever for no reason.
var bulletLife:float = 1.0;
//heres the counter variable
private var lifeCounter:float = 0.0;
private var origX:float;

function Start () {
	origX = transform.localScale.x;
}

function Update () {
	//flip the bullet depending on the velocity
	if(rigidbody.velocity.x < 0){
		transform.localScale.x = -origX;
	}
	if(rigidbody.velocity.x > 0){
		transform.localScale.x = origX;
	}
	//here we add time to the counter variable
	lifeCounter += Time.deltaTime;

	//when the counter is higher than 1 (1 second) it will destroy the bullet it is attached to.
	if(lifeCounter > bulletLife){
		Destroy(gameObject);
	}
}

function OnTriggerEnter (other:Collider){
	if(other.tag == "Player"){
		other.SendMessage("takeDamage", damage, SendMessageOptions.DontRequireReceiver);
		Destroy(gameObject);
	}
}