﻿#pragma strict

var pauseButton:GUITexture;
var resumeButton:GUIText;
var menuButton:GUIText;
var quitButton:GUIText;
var darken:GUITexture;

private var isPaused = false;

function Start () {
	resumeButton.guiText.enabled = false;
	menuButton.guiText.enabled = false;
	quitButton.guiText.enabled = false;
	darken.guiTexture.enabled = false;
}

function Update () {
	if(Input.GetKeyDown(KeyCode.Escape)){
		doPause();
	}
}

function doPause () {
	if(isPaused){
		Time.timeScale = 1.0;
		resumeButton.guiText.enabled = false;
		menuButton.guiText.enabled = false;
		quitButton.guiText.enabled = false;
		darken.guiTexture.enabled = false;
		isPaused = false;
	}else{
		Time.timeScale = 0.0;
		resumeButton.guiText.enabled = true;
		menuButton.guiText.enabled = true;
		quitButton.guiText.enabled = true;
		darken.guiTexture.enabled = true;
		isPaused = true;
	}
}

function doResume () {
	doPause();
}

function doMenu () {
	Application.LoadLevel("menu");
}

function doQuit () {
	Application.Quit();
}